> ## Documentation Index
> Fetch the complete documentation index at: https://docs.firecrawl.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# 過去のトークン使用量

月ごとのトークン使用量を返します。必要に応じて、APIキーごとの内訳も取得できます。


## OpenAPI

````yaml ja/api-reference/v1-openapi.json GET /team/token-usage/historical
openapi: 3.0.0
info:
  contact:
    email: support@firecrawl.dev
    name: Firecrawl Support
    url: https://firecrawl.dev/support
  description: Firecrawl サービスと連携して Web サイトのスクレイピングおよびクロール処理を行うための API です。
  title: Firecrawl API
  version: v1
servers:
  - url: https://api.firecrawl.dev/v1
security:
  - bearerAuth: []
paths:
  /team/token-usage/historical:
    get:
      tags:
        - Billing
      summary: 認証済みのチームのトークン使用履歴を取得（Extractのみ）
      operationId: getHistoricalTokenUsage
      parameters:
        - description: APIキーごとのトークン使用履歴を取得する
          in: query
          name: byApiKey
          required: false
          schema:
            default: false
            type: boolean
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  periods:
                    items:
                      properties:
                        apiKey:
                          description: >-
                            請求期間に使用された API キーの名前。byApiKey が false（デフォルト）の場合は
                            null になります
                          nullable: true
                          type: string
                        endDate:
                          description: 請求期間の終了日
                          example: '2025-01-31T23:59:59Z'
                          format: date-time
                          type: string
                        startDate:
                          description: 請求期間の開始日
                          example: '2025-01-01T00:00:00Z'
                          format: date-time
                          type: string
                        totalTokens:
                          description: 請求期間中に使用されたトークン総数
                          example: 1000
                          type: integer
                      type: object
                    type: array
                  success:
                    example: true
                    type: boolean
                type: object
          description: 成功時のレスポンス
        '500':
          content:
            application/json:
              schema:
                properties:
                  error:
                    example: >-
                      Internal server error while fetching historical token
                      usage
                    type: string
                  success:
                    example: false
                    type: boolean
                type: object
          description: サーバーエラー
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````